-- ----------------------------------------------------------------------------
-- Add Kubiks to qo_modules
-- ----------------------------------------------------------------------------
INSERT INTO `qo_modules` (
        `directory`,
        `author`,
        `version`,
        `url`,
        `description`,
        `class_name`,
        `module_type`,
        `module_id`,
        `menu_path`,
        `launcher_icon_cls`,
        `launcher_shortcut_icon_cls`,
        `launcher_text`,
        `launcher_tooltip`,
        `active`,
        `preload`
) VALUES (
        'Kubiks/',
        'Andriy Levytskyy',
        '0.1',
        'http://qo-modules.tuxfamily.org/',
	'Tetris like',
	'QoDesk.Kubiks',
	'kubiks',
	'kubiks-win',
        'StartMenu/Games',
        'Kubiks-icon',
        'kubiks-shortcut',
        'Kubiks',
        '<b>Kubiks</b><br />Tetris Like',
        1,
        0
);

-- ----------------------------------------------------------------------------
-- Add files to qo_modules_files & qo_modules_stylesheets
-- ----------------------------------------------------------------------------
insert into `qo_modules_files` (`qo_modules_id`, `directory`, `file`)
select m.id, 'Kubiks/', 'kubiks.js'
from (select id from qo_modules where module_id like 'kubiks-win') m;

insert into `qo_modules_stylesheets` (`qo_modules_id`, `directory`, `file`)
select m.id, 'Kubiks/', 'kubiks.css'
from (select id from qo_modules where module_id like 'kubiks-win') m;

-- ----------------------------------------------------------------------------
-- Add dependencies to qo_modules_dependencies
-- ----------------------------------------------------------------------------
insert into `qo_modules_dependencies` (`qo_modules_id`, `directory`, `file`)
select m.id, 'Kubiks/locale/', 'kubiks-en.js'
from (select id from qo_modules where module_id like 'kubiks-win') m;

-- ----------------------------------------------------------------------------
-- Add modules to all group
-- ----------------------------------------------------------------------------
insert into `qo_groups_has_modules` (`qo_groups_id`, `qo_modules_id`, `active`)
select g.id, m.id, 1
from (select id from qo_groups) g
   , (select id from qo_modules where module_id like 'kubiks-win') m;